com.mxgraph.util.svg

## Class StringNormalizingReader

- java.lang.Object
- - java.io.Reader
  - - com.mxgraph.util.svg.NormalizingReader
    - - com.mxgraph.util.svg.StringNormalizingReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      public class StringNormalizingReader
      extends NormalizingReader

  This class represents a NormalizingReader which handles Strings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `column` The current column in the stream.
    `protected int` | `length` The length of the string.
    `protected int` | `line` The current line in the stream.
    `protected int` | `next` The index of the next character.
    `protected java.lang.String` | `string` The characters.

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringNormalizingReader(java.lang.String s)` Creates a new StringNormalizingReader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the stream.
    `int` | `getColumn()` Returns the current column in the stream.
    `int` | `getLine()` Returns the current line in the stream.
    `int` | `read()` Read a single character.

    - ### Methods inherited from class com.mxgraph.util.svg.NormalizingReader

      `read`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, read, read, ready, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### string

          protected java.lang.String string

      The characters.

    - #### length

          protected int length

      The length of the string.

    - #### next

          protected int next

      The index of the next character.

    - #### line

          protected int line

      The current line in the stream.

    - #### column

          protected int column

      The current column in the stream.

  - ### Constructor Detail

    - #### StringNormalizingReader

          public StringNormalizingReader(java.lang.String s)

      Creates a new StringNormalizingReader.
      Parameters:
        `s` - The string to read.

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Read a single character. This method will block until a character is available, an I/O error occurs, or the end of the stream is reached.
      Overrides:
        `read` in class `java.io.Reader`
      Throws:
        `java.io.IOException`

    - #### getLine

          public int getLine()

      Returns the current line in the stream.
      Specified by:
        `getLine` in class `NormalizingReader`

    - #### getColumn

          public int getColumn()

      Returns the current column in the stream.
      Specified by:
        `getColumn` in class `NormalizingReader`

    - #### close

          public void close()
                     throws java.io.IOException

      Close the stream.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Reader`
      Throws:
        `java.io.IOException`

Copyright (c) 2010 Gaudenz Alder. All rights reserved.